#
# spec file for package gf (Version 0.46)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  jade_dsl sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip jade_dsl kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gf
Copyright:    GPL
Group:      Utilities/Text
Provides:     gf 
Requires:     sp
Autoreqprov:  on
Version:      0.46
Release:      398
Summary:      A "general formatter" for SGML documents
Source: gf-%{version}.tar.gz
Patch: gf-0.46.dif

%description
`gf' by Gary Houston is short for "general formatter," i.e., it can work with
documents which use the ISO "general" document type definition (DTD).  It can
convert SGML documents conforming to a small number of DTDs into various
output formats: LaTeX, ASCII, RTF and Texinfo. However not every output
format can be generated for every DTD.
Apart from the general DTD, gf supports the HTML DTD used in the WWW project
and Gary's Snafu DTD.  `gf' is not intended as a flexible system for hacking
up a formatter for a random DTD, but as a usable document production system
for a few DTDs.

Authors:
--------
    Gary Houston <ghouston@actrix.gen.nz>

SuSE series: sgm

%prep
%setup
%patch

%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 

%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ;
# Need an installed gf
(cd doc && make info install-info infodir=%{_infodir} mandir=%{_mandir})

%files
%dir /usr/share/sgml/gf
/usr/bin/gf
%doc COPYING NEWS README doc/gf.sgml doc/snafu.sgml
%{_infodir}/gf.info.gz
%{_infodir}/snafu.info.gz
%{_mandir}/man1/gf.1.gz
/usr/share/sgml/gf/GFextra.2ab
/usr/share/sgml/gf/GFextra.2as
/usr/share/sgml/gf/GFextra.2l1b
/usr/share/sgml/gf/GFextra.2l1s
/usr/share/sgml/gf/GFextra.2rtf
/usr/share/sgml/gf/GFextra.2tex
/usr/share/sgml/gf/GFextra.2texi
/usr/share/sgml/gf/HTML3.2.dtd
/usr/share/sgml/gf/ISOdia
/usr/share/sgml/gf/ISOdia.2ab
/usr/share/sgml/gf/ISOdia.2as
/usr/share/sgml/gf/ISOdia.2l1b
/usr/share/sgml/gf/ISOdia.2l1s
/usr/share/sgml/gf/ISOdia.2rtf
/usr/share/sgml/gf/ISOdia.2tex
/usr/share/sgml/gf/ISOdia.2texi
/usr/share/sgml/gf/ISOlat1
/usr/share/sgml/gf/ISOlat1.2ab
/usr/share/sgml/gf/ISOlat1.2as
/usr/share/sgml/gf/ISOlat1.2l1b
/usr/share/sgml/gf/ISOlat1.2l1s
/usr/share/sgml/gf/ISOlat1.2rtf
/usr/share/sgml/gf/ISOlat1.2tex
/usr/share/sgml/gf/ISOlat1.2texi
/usr/share/sgml/gf/ISOlat1.sgml
/usr/share/sgml/gf/ISOlat2
/usr/share/sgml/gf/ISOlat2.2ab
/usr/share/sgml/gf/ISOlat2.2as
/usr/share/sgml/gf/ISOlat2.2l1b
/usr/share/sgml/gf/ISOlat2.2l1s
/usr/share/sgml/gf/ISOlat2.2rtf
/usr/share/sgml/gf/ISOlat2.2tex
/usr/share/sgml/gf/ISOlat2.2texi
/usr/share/sgml/gf/ISOnum
/usr/share/sgml/gf/ISOnum.2ab
/usr/share/sgml/gf/ISOnum.2as
/usr/share/sgml/gf/ISOnum.2l1b
/usr/share/sgml/gf/ISOnum.2l1s
/usr/share/sgml/gf/ISOnum.2rtf
/usr/share/sgml/gf/ISOnum.2tex
/usr/share/sgml/gf/ISOnum.2texi
/usr/share/sgml/gf/ISOpub
/usr/share/sgml/gf/ISOpub.2ab
/usr/share/sgml/gf/ISOpub.2as
/usr/share/sgml/gf/ISOpub.2l1b
/usr/share/sgml/gf/ISOpub.2l1s
/usr/share/sgml/gf/ISOpub.2rtf
/usr/share/sgml/gf/ISOpub.2tex
/usr/share/sgml/gf/ISOpub.2texi
/usr/share/sgml/gf/ISOtech
/usr/share/sgml/gf/ISOtech.2ab
/usr/share/sgml/gf/ISOtech.2as
/usr/share/sgml/gf/ISOtech.2l1b
/usr/share/sgml/gf/ISOtech.2l1s
/usr/share/sgml/gf/ISOtech.2rtf
/usr/share/sgml/gf/ISOtech.2tex
/usr/share/sgml/gf/ISOtech.2texi
/usr/share/sgml/gf/cat_general
/usr/share/sgml/gf/cat_html
/usr/share/sgml/gf/cat_sletter
/usr/share/sgml/gf/cat_smemo
/usr/share/sgml/gf/cat_snafu
/usr/share/sgml/gf/cat_spaper
/usr/share/sgml/gf/cat_style
/usr/share/sgml/gf/general.dtd
/usr/share/sgml/gf/general.style
/usr/share/sgml/gf/general.template
/usr/share/sgml/gf/generalsty.dtd
/usr/share/sgml/gf/generalsty.sgml
/usr/share/sgml/gf/html-1.dtd
/usr/share/sgml/gf/html-1s.dtd
/usr/share/sgml/gf/html-s.dtd
/usr/share/sgml/gf/html.decl
/usr/share/sgml/gf/html.default
/usr/share/sgml/gf/html.dtd
/usr/share/sgml/gf/html.style
/usr/share/sgml/gf/html.template
/usr/share/sgml/gf/htmlsty.dtd
/usr/share/sgml/gf/htmlsty.sgml
/usr/share/sgml/gf/lat1.2sdata
/usr/share/sgml/gf/scommon2.dtd
/usr/share/sgml/gf/scommon3.dtd
/usr/share/sgml/gf/scommon4.dtd
/usr/share/sgml/gf/sletter.style
/usr/share/sgml/gf/sletter.template
/usr/share/sgml/gf/smemo.style
/usr/share/sgml/gf/smemo.template
/usr/share/sgml/gf/smemo2.dtd
/usr/share/sgml/gf/smemo3.dtd
/usr/share/sgml/gf/smemo4.dtd
/usr/share/sgml/gf/snafu5.dtd
/usr/share/sgml/gf/snafusty.dtd
/usr/share/sgml/gf/snafusty.sgml
/usr/share/sgml/gf/spaper.style
/usr/share/sgml/gf/spaper.template
/usr/share/sgml/gf/spaper2.dtd
/usr/share/sgml/gf/spaper3.dtd
/usr/share/sgml/gf/spaper4.dtd
/usr/share/sgml/gf/styledoc.dtd

%changelog -n gf
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Mar 03 2000 - ke@suse.de
- Add group tag.
- %%{_infodir}, %%{_mandir}.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 09 1998 - ro@suse.de
- added sp_libs to neededforbuild
* Mon Mar 23 1998 - bs@suse.de
- added sp to neededforbuild
* Wed Oct 08 1997 - Karl Eichwalder <ke@suse.de>
  * Tweak %%files section.
* Thu Sep 25 1997 - Karl Eichwalder <ke@suse.de>
  * install info files.
* Wed Jun 18 1997 - Karl Eichwalder <ke@suse.de>
  * new package.
